#!/bin/bash
set -e

target=$(basename "$1")
src_dir=${SRCDIR:-build}/$target

echo "Building $target in $src_dir"

if [[ $(< "$src_dir/$VERSION_FILE") == "$SKIP_TAG" ]]
then
	echo Found "$SKIP_TAG in $src_dir/$VERSION_FILE"
	echo Skipping package "$target"
	exit 0
else 
	if [ -n "$CHROOT_DIR" ]
	then
		echo "CHROOT_DIR is set, so we will build it!"
		mkdir --parent "$CHROOT_DIR/$target"
		mkarchroot "$CHROOT_DIR/$target/root" base-devel
		export BUILD_ARGS="-r $CHROOT_DIR/$target $BUILD_ARGS"
	fi
	(
		cd "$src_dir" && "$BUILD_SCRIPT" "$BUILD_ARGS" -- "$MAKECHROOTPKG_ARGS" &&
		makepkg --packagelist > "$VERSION_FILE"
	)
fi 
