#!/bin/bash
set -e

db_dir=${DESTDIR:-packages}
pkg_dir=${SRCDIR:-build}/$(basename "$1")
pkg_path=$(cd "$pkg_dir" && makepkg --packagelist)
pkg_version=$(basename "$pkg_path")

if [[ $(< "$pkg_dir/$VERSION_FILE") != "$SKIP_TAG" ]]
then
	echo Found "$SKIP_TAG in $pkg_dir/$VERSION_FILE"
	echo Skipping "$pkg_dir"
	exit 0
#elif [[ $(< "$pkg_dir/$VERSION_FILE") != $(basename "$pkg_version") ]]
#then
#	echo "Target $pkg_dir may not build correctly! Skipping..."
#	rm  "$pkg_dir/$VERSION_FILE"
#	exit 0
#
elif [ -e "$pkg_path" ]
then
	echo "Adding "  "$(basename "$pkg_version")" " to $DB_PATH"
	install "$pkg_path" --target-directory "$db_dir"
	cd "$db_dir"
	repo-add --remove  "$DB_NAME" "$(basename "$pkg_version")"
	repose --files --gzip "$DB_NAME"  "$pkg_dir"
else
	echo "Could not add $pkg_version to $DB_PATH"
	exit 1
fi
